using System;

namespace Sudaranje_brojeva
{
    internal class Program
    {
        static void Main(string[] args)
        {
            int a = int.Parse(Console.ReadLine());
            int b = int.Parse(Console.ReadLine());
            int brojac = 1;
            int c = 0;
            if (a > b)
            {

                while (b > 0)
                {
                    int a1 = a % 10;
                    int b1 = b % 10;
                    if (a1 > b1) c += a1 * brojac;
                    else if (a1 < b1) c += b1 * brojac;
                    else
                    {
                        c += a1 * brojac;
                        c += a1 * (brojac * 10);
                        brojac *= 10;
                    }
                    brojac *= 10;
                    b = b / 10;
                    a = a / 10;
                }
                c += a * brojac;
            }
            else
            {
                while (a > 0)
                {
                    int a1 = a % 10;
                    int b1 = b % 10;
                    if (a1 > b1) c += a1 * brojac;
                    else if (a1 < b1) c += b1 * brojac;
                    else
                    {
                        c += a1 * brojac;
                        c += a1 * (brojac * 10);
                        brojac *= 10;
                    }
                    brojac *= 10;
                    b = b / 10;
                    a = a / 10;
                }
                c += b * brojac;
            }
            Console.WriteLine(c);
        }
    }
}